<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Class Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aab1e77c20c49984a9bd5345a7b534214">AddConstructor</a>(Constructor constructor)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aeeaa23d92c6d181936d00197c15adb89">AddConstructors</a>(params Constructor[] constructors)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a6793b099ab478ebcb0d97b7261c15a0a">AddConstructors</a>(IEnumerable&lt; Constructor &gt; constructors)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a2da61c213aa474c81ed47322ced94cc3">AddGetableProperties</a>(params GetableProperty[] getableProperties)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ada69995a8f78c9f97637c063667d25d3">AddGetableProperties</a>(IEnumerable&lt; GetableProperty &gt; getableProperties)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a1e8b8b468cd2ba68ea641fb79ec45bb1">AddGetableProperty</a>(GetableProperty getableProperty)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#af890f416ca342ec7ebc7f0cab31835ae">AddMethod</a>(Method method)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ac783b74c98557fc9ae7b5aa1f84ccca2">AddMethods</a>(params Method[] methods)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a580303392b8a2b60c5e000a2d9ca6877">AddMethods</a>(IEnumerable&lt; Method &gt; methods)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a3312cef392543c8a0a582762dc7ac951">AddModifier</a>(Modifier modifier)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a4e49b87bac2ad19d139ef54fb5e9dd92">AddModifiers</a>(params Modifier[] modifiers)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a8f4e9b0063ed7ab3d7aeecc6e02f9bfa">AddModifiers</a>(IEnumerable&lt; Modifier &gt; modifiers)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a0c1f151cc82d5387c5edd8ae3eec052d">AddProperties</a>(params Property[] properties)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a6b6c2b19514164dbf639e74b31f91eaa">AddProperties</a>(IEnumerable&lt; Property &gt; properties)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a7420a6568dd0b4b9a5c0709c4d36e29c">AddProperty</a>(Property property)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a0b65ee3e324534c44248bc39c8e87023">BaseClass</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ab9c7f270c30fa505b1e5abc93a4541c5">Class</a>()</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a609736f24be6342c0063586b7c5e626f">Class</a>(string name, string baseClass=default, string comment=default)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aa203b25e639ffda245eac255c6ab43ef">Comment</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a586a1e6b34f619ce6781844851067d10">Constructors</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ac21010aead82ee61ff8610f3fe60ef97">GetableProperties</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a3d44911578ee11551f05e2c4d0ae44bf">Methods</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a6728c31277ae7daee36a39c097529fc7">Modifiers</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ab129dcd971c1d2e3263689e54a23f64d">Name</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a5be476181b6664a3d2c6909940961cf1">Properties</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aaf70874d3fd1c921a49a9b7254e399b3">WithBaseClass</a>(string baseClass)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a4a7561a868264d80a960c90d35f2a38c">WithComment</a>(string comment)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aa35ac900d19d3316e97158937d5f71df">WithName</a>(string name)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
